Subject: bug#21091: 25.0.50; `isearch-done' called before `isearch-update' raises wrong-type-arg error

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2016 23:27:39 +0200

Drew Adams <[email-masked]> writes:

> Dunno whether I'll be able to convince you that this is a bug, but here
> goes.
>
> Recently someone added `isearch--current-buffer' to isearch.el.
>
> This is initially nil.  It is given a string value (buffer name) only in
> `isearch-update'.  But it is called in `isearch-done' and expected to
> have a string value there.  If it does not, a wrong-type-arg error is
> raised.

If I understand you correctly, I don't think this is a bug.  If somebody
else disagrees, please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no